#!/bin/sh
# esegue importazione dei file di configurazione dei servizi dal file ZIP presente nella cartella /home/pi/

# NOTA: i file che verranno importati nelle relative cartelle, avranno la DATA/ORA precedente a questa azione
#       ovvero quella dell'ultima modifica effettuata PRIMA della loro esportazione
cd /
sudo unzip -o /home/pi/total_export_config_servizi.zip -d /

echo "Importazione totale dei file di configurazione completata, i file sono stati importati con successo nelle rispettive cartelle."
echo

#riavvio dei servizi - con i file configurati
sudo systemctl stop ysfbmgateway
sudo systemctl stop ysfgateway
sudo systemctl stop mmdvmhost
sudo systemctl start ysfbmgateway
sudo systemctl start ysfgateway
sudo systemctl start mmdvmhost

echo "Tutti i servizi sono stati riavviati automaticamente con successo, ed utilizzano le nuove configurazioni importate!"
echo
echo

